-- MySQL dump 10.13  Distrib 5.5.29, for debian-linux-gnu (x86_64)
--
-- Host: anakin    Database: agromodel
-- ------------------------------------------------------
-- Server version	5.5.29-0ubuntu0.12.04.2-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `activity`
--

DROP TABLE IF EXISTS `activity`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `activity` (
  `activityId` int(11) NOT NULL,
  `activityName` varchar(255) NOT NULL,
  `activityType` varchar(255) NOT NULL,
  `activityUnit` varchar(16) NOT NULL,
  `activityGroupId` tinyint(3) unsigned NOT NULL,
  PRIMARY KEY (`activityId`),
  KEY `activityGroupId` (`activityGroupId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `activity_group`
--

DROP TABLE IF EXISTS `activity_group`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `activity_group` (
  `activityGroupId` tinyint(3) unsigned NOT NULL,
  `activityGroupName` varchar(255) NOT NULL,
  PRIMARY KEY (`activityGroupId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `activitymgmt_inputs`
--

DROP TABLE IF EXISTS `activitymgmt_inputs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `activitymgmt_inputs` (
  `activityMgmtId` int(11) NOT NULL,
  `inputTypeId` int(11) NOT NULL,
  `inputAmount` double NOT NULL,
  PRIMARY KEY (`activityMgmtId`,`inputTypeId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `activitymgmt_labors`
--

DROP TABLE IF EXISTS `activitymgmt_labors`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `activitymgmt_labors` (
  `activityMgmtId` int(11) NOT NULL,
  `laborTypeId` int(11) NOT NULL,
  `laborAmount` int(11) NOT NULL,
  PRIMARY KEY (`activityMgmtId`,`laborTypeId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `activitymgmt_scenario`
--

DROP TABLE IF EXISTS `activitymgmt_scenario`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `activitymgmt_scenario` (
  `scenarioId` smallint(5) unsigned NOT NULL,
  `activityMgmtId` int(11) NOT NULL,
  `firstAvailableCroppingCycleId` smallint(5) unsigned NOT NULL,
  PRIMARY KEY (`scenarioId`,`activityMgmtId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `activitymgmt_specifications`
--

DROP TABLE IF EXISTS `activitymgmt_specifications`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `activitymgmt_specifications` (
  `activityMgmtId` int(11) NOT NULL,
  `activityId` int(11) NOT NULL,
  `regionId` int(11) NOT NULL,
  `activityMgmtName` varchar(255) NOT NULL,
  `plantingDate` varchar(255) DEFAULT NULL,
  `genotype` varchar(255) DEFAULT NULL,
  `nFertilizerDose` int(11) DEFAULT NULL,
  `rowSpacing` float DEFAULT NULL,
  `plantingDensity` float DEFAULT NULL,
  `nextActivityMgmtId` int(11) DEFAULT NULL,
  `competingManagementId` smallint(5) unsigned DEFAULT NULL,
  PRIMARY KEY (`activityMgmtId`),
  KEY `activityId` (`activityId`),
  KEY `nextActivityMgmtId` (`nextActivityMgmtId`),
  KEY `competingManagementId` (`competingManagementId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `advisor`
--

DROP TABLE IF EXISTS `advisor`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `advisor` (
  `advisorId` smallint(5) unsigned NOT NULL,
  `scenarioId` smallint(5) unsigned NOT NULL,
  `advisorName` varchar(255) NOT NULL,
  `advisorFee` double NOT NULL,
  `innovatorTypeId` tinyint(3) unsigned NOT NULL,
  PRIMARY KEY (`advisorId`,`scenarioId`),
  KEY `innovatorType` (`innovatorTypeId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `agvarcostinfo`
--

DROP TABLE IF EXISTS `agvarcostinfo`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `agvarcostinfo` (
  `activityId` smallint(6) NOT NULL,
  `harvestCostRate` float DEFAULT NULL,
  `marketingCostRate` float DEFAULT NULL,
  PRIMARY KEY (`activityId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `context_type`
--

DROP TABLE IF EXISTS `context_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `context_type` (
  `contextTypeId` smallint(5) unsigned NOT NULL,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`contextTypeId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `context_type_adjustment`
--

DROP TABLE IF EXISTS `context_type_adjustment`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `context_type_adjustment` (
  `contextTypeId` smallint(5) unsigned NOT NULL,
  `soilTypeId` tinyint(3) unsigned NOT NULL,
  `contextTypeStatusId` smallint(5) unsigned NOT NULL,
  `adjustmentFactor` double NOT NULL,
  PRIMARY KEY (`contextTypeId`,`soilTypeId`,`contextTypeStatusId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `context_type_status`
--

DROP TABLE IF EXISTS `context_type_status`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `context_type_status` (
  `contextTypeStatusId` smallint(5) unsigned NOT NULL,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`contextTypeStatusId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `creagroup`
--

DROP TABLE IF EXISTS `creagroup`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `creagroup` (
  `creaGroupId` smallint(5) unsigned NOT NULL,
  `creaGroupName` varchar(255) NOT NULL,
  `creaGroupCode` varchar(16) NOT NULL,
  `creaRegionId` tinyint(3) unsigned NOT NULL,
  `advisorId` smallint(5) unsigned NOT NULL,
  `groupSize` tinyint(3) unsigned NOT NULL,
  `centroidLat` double NOT NULL,
  `centroidLon` double NOT NULL,
  `membershipFee` double NOT NULL,
  PRIMARY KEY (`creaGroupId`),
  KEY `creaRegionId` (`creaRegionId`),
  KEY `advisorId` (`advisorId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `crearegion`
--

DROP TABLE IF EXISTS `crearegion`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `crearegion` (
  `creaRegionId` tinyint(3) unsigned NOT NULL,
  `creaRegionName` varchar(255) NOT NULL,
  `numberOfGroups` tinyint(3) unsigned NOT NULL,
  `numberOfMembers` smallint(5) unsigned NOT NULL,
  `coordinatorId` smallint(5) unsigned NOT NULL,
  PRIMARY KEY (`creaRegionId`),
  KEY `coordinatorId` (`coordinatorId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `croppingcycle`
--

DROP TABLE IF EXISTS `croppingcycle`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `croppingcycle` (
  `croppingCycleId` smallint(5) unsigned NOT NULL,
  `scenarioId` smallint(5) unsigned NOT NULL DEFAULT '0',
  `croppingCycleName` varchar(255) NOT NULL,
  `managementCost` double NOT NULL,
  `structuralCost` double NOT NULL,
  `utaPrice` double NOT NULL,
  `active` tinyint(3) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`croppingCycleId`,`scenarioId`),
  KEY `scenarioId` (`scenarioId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `croppingcycle_activity`
--

DROP TABLE IF EXISTS `croppingcycle_activity`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `croppingcycle_activity` (
  `croppingCycleId` smallint(5) unsigned NOT NULL,
  `scenarioId` smallint(5) unsigned NOT NULL DEFAULT '0',
  `activityId` int(11) NOT NULL DEFAULT '0',
  `outputPrice` double DEFAULT NULL,
  PRIMARY KEY (`croppingCycleId`,`scenarioId`,`activityId`),
  KEY `scenarioId` (`scenarioId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `croppingcycle_contexts`
--

DROP TABLE IF EXISTS `croppingcycle_contexts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `croppingcycle_contexts` (
  `croppingCycleId` smallint(5) unsigned NOT NULL,
  `scenarioId` smallint(5) unsigned NOT NULL,
  `soilTypeId` tinyint(3) unsigned NOT NULL,
  `contextTypeId` smallint(5) unsigned NOT NULL,
  `expectedStatusId` smallint(5) unsigned NOT NULL,
  `actualStatusId` smallint(5) unsigned NOT NULL,
  PRIMARY KEY (`croppingCycleId`,`scenarioId`,`soilTypeId`,`contextTypeId`),
  KEY `expectedStatusId` (`expectedStatusId`),
  KEY `actualStatusId` (`actualStatusId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `croppingcycle_historicaladjustment`
--

DROP TABLE IF EXISTS `croppingcycle_historicaladjustment`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `croppingcycle_historicaladjustment` (
  `scenarioId` smallint(5) unsigned NOT NULL,
  `croppingCycleId` smallint(5) unsigned NOT NULL,
  `activityMgmtId` mediumint(8) unsigned NOT NULL,
  `yieldAdjustmentIndex` double NOT NULL,
  `directCostAdjustmentIndex` double NOT NULL,
  PRIMARY KEY (`scenarioId`,`croppingCycleId`,`activityMgmtId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `croppingcycle_inputprices`
--

DROP TABLE IF EXISTS `croppingcycle_inputprices`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `croppingcycle_inputprices` (
  `croppingCycleId` int(11) NOT NULL DEFAULT '0',
  `scenarioId` smallint(5) unsigned NOT NULL DEFAULT '0',
  `inputTypeId` int(11) NOT NULL DEFAULT '0',
  `inputUnitPrice` double NOT NULL,
  PRIMARY KEY (`croppingCycleId`,`scenarioId`,`inputTypeId`),
  KEY `scenarioId` (`scenarioId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `croppingcycle_region`
--

DROP TABLE IF EXISTS `croppingcycle_region`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `croppingcycle_region` (
  `croppingCycleId` smallint(5) unsigned NOT NULL,
  `scenarioId` smallint(5) unsigned NOT NULL DEFAULT '0',
  `regionId` int(11) NOT NULL DEFAULT '0',
  `transportationCost` double DEFAULT NULL,
  PRIMARY KEY (`croppingCycleId`,`scenarioId`,`regionId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `croppingcycle_soiltype`
--

DROP TABLE IF EXISTS `croppingcycle_soiltype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `croppingcycle_soiltype` (
  `croppingCycleId` int(11) NOT NULL DEFAULT '0',
  `scenarioId` smallint(5) unsigned NOT NULL DEFAULT '0',
  `soilTypeId` int(11) NOT NULL DEFAULT '0',
  `rentalPrice` double DEFAULT NULL,
  `landSalePrice` double DEFAULT NULL,
  `expectedGrossMargin` double DEFAULT NULL,
  `farmTaxes` double NOT NULL,
  `organicMatter` double DEFAULT NULL,
  `waterStorageCapacity` double DEFAULT NULL,
  `soilCurveNumber` double NOT NULL,
  PRIMARY KEY (`croppingCycleId`,`scenarioId`,`soilTypeId`),
  KEY `scenarioId` (`scenarioId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `farm`
--

DROP TABLE IF EXISTS `farm`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `farm` (
  `farmId` int(10) unsigned NOT NULL,
  `scenarioId` smallint(5) unsigned NOT NULL DEFAULT '0',
  `regionId` int(11) DEFAULT NULL,
  `provinceId` tinyint(3) unsigned DEFAULT NULL,
  `departmentId` smallint(5) unsigned DEFAULT NULL,
  `ownerId` int(10) unsigned NOT NULL,
  `initialOperatorId` int(10) unsigned NOT NULL,
  `originalFarmSize` double DEFAULT NULL,
  `adjustedFarmSize` double DEFAULT NULL,
  `soilType` tinyint(3) unsigned DEFAULT NULL,
  `utmLon` int(11) DEFAULT NULL,
  `utmLat` int(11) DEFAULT NULL,
  `degLon` double DEFAULT NULL,
  `degLat` double DEFAULT NULL,
  `perimeter` int(11) DEFAULT NULL,
  `creaGroupId` int(11) DEFAULT NULL,
  `cattleStructure` smallint(6) DEFAULT NULL,
  `advisorId` smallint(5) unsigned DEFAULT NULL,
  PRIMARY KEY (`farmId`,`scenarioId`),
  KEY `scenarioId` (`scenarioId`),
  KEY `ownerId` (`ownerId`),
  KEY `initialOperatorId` (`initialOperatorId`),
  KEY `creaGroupId` (`creaGroupId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `farmer`
--

DROP TABLE IF EXISTS `farmer`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `farmer` (
  `farmerId` int(10) unsigned NOT NULL,
  `scenarioId` smallint(5) unsigned NOT NULL DEFAULT '0',
  `farmerName` varchar(255) DEFAULT NULL,
  `age` int(11) DEFAULT NULL,
  `gender` varchar(255) DEFAULT NULL,
  `educationalLevel` varchar(255) DEFAULT NULL,
  `familyGroupSize` int(11) DEFAULT NULL,
  `operationalStatus` varchar(255) DEFAULT NULL,
  `workingCapital` double DEFAULT NULL,
  `managerialAbility` float DEFAULT NULL,
  `offFarmIncome` double DEFAULT NULL,
  `yrsExperience` float DEFAULT NULL,
  `peersAdjFactor` double NOT NULL,
  `lambdaUp` double NOT NULL,
  `lambdaDown` double NOT NULL,
  `optimism` double NOT NULL,
  `searchTriggeringMechanismId` tinyint(3) unsigned NOT NULL,
  `probabilityOfSearching` double DEFAULT NULL,
  `minUnsatisfiedCycles` smallint(5) unsigned DEFAULT NULL,
  `cyclesInMemory` smallint(5) unsigned DEFAULT NULL,
  `landUseSelectionMechanismId` tinyint(3) unsigned NOT NULL,
  `riskAversion` double DEFAULT NULL,
  `alpha` double DEFAULT NULL,
  `lambda` double DEFAULT NULL,
  `gammaGains` double DEFAULT NULL,
  `gammaLosses` double DEFAULT NULL,
  `ownerRotatorTypeId` tinyint(3) unsigned NOT NULL,
  `tenantRotatorTypeId` tinyint(3) unsigned NOT NULL,
  `wtaCalculationMechanismId` tinyint(3) unsigned DEFAULT NULL,
  `minimumProgressRate` double DEFAULT NULL,
  `innovatorTypeId` tinyint(3) unsigned DEFAULT NULL,
  `innovationDiffusionModelId` int(10) unsigned DEFAULT NULL,
  `isingComponentsCalculationMechanismId` int(10) unsigned DEFAULT NULL,
  `randomAdoptionProbability` double DEFAULT NULL,
  PRIMARY KEY (`farmerId`,`scenarioId`),
  KEY `scenarioId` (`scenarioId`),
  KEY `ownerRotatorTypeId` (`ownerRotatorTypeId`),
  KEY `tenantRotatorTypeId` (`tenantRotatorTypeId`),
  KEY `innovatorTypeId` (`innovatorTypeId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `innovatortype`
--

DROP TABLE IF EXISTS `innovatortype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `innovatortype` (
  `innovatorTypeId` tinyint(3) unsigned NOT NULL,
  `innovatorTypeName` varchar(255) NOT NULL,
  `defaultProportion` double NOT NULL,
  `alphaMin` double NOT NULL,
  `alphaMax` double NOT NULL,
  PRIMARY KEY (`innovatorTypeId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `inputtype`
--

DROP TABLE IF EXISTS `inputtype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `inputtype` (
  `inputTypeId` int(11) NOT NULL,
  `inputTypeName` varchar(255) NOT NULL,
  `inputTypeGroup` varchar(255) NOT NULL,
  `inputTypeUnit` varchar(255) NOT NULL,
  PRIMARY KEY (`inputTypeId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `labortype`
--

DROP TABLE IF EXISTS `labortype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `labortype` (
  `laborTypeId` int(11) NOT NULL,
  `laborTypeName` varchar(255) NOT NULL,
  `laborTypeGroup` varchar(255) NOT NULL,
  `utaEquivalent` double NOT NULL,
  PRIMARY KEY (`laborTypeId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `parameter`
--

DROP TABLE IF EXISTS `parameter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `parameter` (
  `name` varchar(64) NOT NULL,
  `type` enum('java.lang.Short','java.lang.Integer','java.lang.Double','java.lang.String') NOT NULL,
  `defaultValue` varchar(255) NOT NULL,
  PRIMARY KEY (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `plot`
--

DROP TABLE IF EXISTS `plot`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `plot` (
  `scenarioId` smallint(5) unsigned NOT NULL DEFAULT '0',
  `farmId` int(10) unsigned NOT NULL,
  `plotSize` float DEFAULT NULL,
  `plotNumber` tinyint(3) unsigned NOT NULL,
  `initialActivityMgmtId` smallint(5) unsigned NOT NULL,
  PRIMARY KEY (`scenarioId`,`farmId`,`plotNumber`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `region`
--

DROP TABLE IF EXISTS `region`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `region` (
  `regionId` tinyint(3) unsigned NOT NULL,
  `regionName` varchar(255) NOT NULL,
  `distanceToPort` double NOT NULL,
  `totalNoEaps` int(11) NOT NULL,
  PRIMARY KEY (`regionId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `rotatortype`
--

DROP TABLE IF EXISTS `rotatortype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rotatortype` (
  `rotatorTypeId` tinyint(3) unsigned NOT NULL,
  `rotatorTypeName` varchar(255) NOT NULL,
  `minPlotsPerActivity` tinyint(3) unsigned NOT NULL,
  `maxPlotsPerActivity` tinyint(3) unsigned NOT NULL,
  PRIMARY KEY (`rotatorTypeId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `scenario`
--

DROP TABLE IF EXISTS `scenario`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `scenario` (
  `scenarioId` smallint(5) unsigned NOT NULL,
  `name` varchar(255) NOT NULL,
  `description` text,
  `attributes` int(10) unsigned NOT NULL,
  `shapeFileName` varchar(255) DEFAULT NULL,
  `scenarioEnsembleId` smallint(5) unsigned DEFAULT NULL,
  PRIMARY KEY (`scenarioId`),
  KEY `scenarioEnsembleId` (`scenarioEnsembleId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `scenario_ensemble`
--

DROP TABLE IF EXISTS `scenario_ensemble`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `scenario_ensemble` (
  `scenarioEnsembleId` smallint(5) unsigned NOT NULL,
  `name` varchar(255) NOT NULL,
  `attributes` int(10) unsigned NOT NULL,
  PRIMARY KEY (`scenarioEnsembleId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `scenario_parameter`
--

DROP TABLE IF EXISTS `scenario_parameter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `scenario_parameter` (
  `scenarioId` smallint(5) unsigned NOT NULL,
  `parameterName` varchar(64) NOT NULL,
  `parameterValue` varchar(255) NOT NULL,
  PRIMARY KEY (`scenarioId`,`parameterName`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `soiltype`
--

DROP TABLE IF EXISTS `soiltype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `soiltype` (
  `soilTypeId` tinyint(3) unsigned NOT NULL,
  `regionId` tinyint(3) unsigned NOT NULL,
  `soilTypeName` varchar(255) DEFAULT NULL,
  `soilTypeProportionOfRegion` double DEFAULT NULL,
  `soilTexture` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`soilTypeId`),
  KEY `regionId` (`regionId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `yieldlookup`
--

DROP TABLE IF EXISTS `yieldlookup`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `yieldlookup` (
  `croppingCycleId` int(11) NOT NULL DEFAULT '0',
  `scenarioId` smallint(5) unsigned NOT NULL DEFAULT '0',
  `soilTypeId` int(11) NOT NULL DEFAULT '0',
  `activityMgmtId` int(11) NOT NULL DEFAULT '0',
  `yield` double NOT NULL,
  PRIMARY KEY (`croppingCycleId`,`scenarioId`,`soilTypeId`,`activityMgmtId`),
  KEY `scenarioId` (`scenarioId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2013-04-17 11:03:23
