use strict;

# Input/output
open(my $inputHandle, '<', $ARGV[0]) or die "Can't open input file: $!"; 
open(my $outputHandle, '>', $ARGV[1]) or die "Can't open output file: $!"; 

# Hook execution
my $soilTypes = undef();
my $headers = [];
my $data = [];
my $i = 0;
my $input = "";
while (<$inputHandle>) {
	chop();
	my @fields = split(/;/, $_, scalar(@$headers));
	if ($i == 0) {
		foreach my $field (@fields) {
			push(@$headers, $field);
		}
	} else {
		my $j = 0;
		my $data_farmer = [];
		foreach my $field (@fields) {
			if ($j == (scalar(@fields) - 1)) {
				# Es el WTP
				my $data_wtp = {};
				if ($field =~ /^\{(.+?(,.+?)*)\}/) {
					my @wtps = split(/\s?,\s?/, $1);
					my $fillSoilTypes = (not defined $soilTypes);
					if ($fillSoilTypes) {
						$soilTypes = [];
					}
					foreach my $wtp (@wtps) {
						my ($soilType, $value) = split("=", $wtp);
						if ($fillSoilTypes) {
							push(@$soilTypes, $soilType);
						}
						if ($value =~ /\d+(\.\d+)?/) {
							$data_wtp->{$soilType} = $value;
						} else {
							$data_wtp->{$soilType} = undef();
						}
					}
				}

				push(@$data_farmer, $data_wtp);
			} else {
				push(@$data_farmer, $field);
			}
			$j++;
		}

		# Completar los campos vacios
		while ($j < scalar(@$headers)) {
			push(@$data_farmer, ($j == (scalar(@$headers) - 1)) ? {} : "");
			$j++;
		}

		push(@$data, $data_farmer);
	}

	$i++;
}

# Impresion del header
$i = 0;
while ($i < @$headers) {
	if ($i == (scalar(@$headers) - 1)) {
		my $j = 0;
		foreach my $soilType (@$soilTypes) {
			print $outputHandle (("WTP " . $soilType) . (($j == (scalar(@$soilTypes) - 1)) ? "\n" : ";"));
			$j++;
		}
	} else {
		print $outputHandle ($headers->[$i] . ";");
	}
	$i++;
}

# Impresion de los datos
$i = 0;
my $lines_farmer = [];
foreach my $data_farmer (@$data) {
	my $j = 0;
	my $line = "";
	foreach my $field_farmer (@$data_farmer) {
		if ($j == (scalar(@$data_farmer) - 1)) {
			# Es el WTP
			my $k = 0;
			foreach my $soilType (@$soilTypes) {
				my $value = $field_farmer->{$soilType};
				$line .= (($value || ""). (($k == (scalar(@$soilTypes) - 1)) ? "" : ";"));
				$k++;
			}
		} else {
			$line .= ($field_farmer . ";");
		}

		$j++;
	}
	push(@$lines_farmer, $line);

	$i++;
}
print $outputHandle join("\n", @$lines_farmer);

# Close handles
close($inputHandle);
close($outputHandle);
