package fiuba.lamm.agromodel;

import fiuba.lamm.agromodel.agents.Manager;
import fiuba.lamm.agromodel.utils.*;

public class InnovatorType {
	protected Byte innovatorTypeId;
	protected String innovatorTypeName;
	protected Double defaultProportion;
	protected Double alphaMin;
	protected Double alphaMax;
	
	public InnovatorType(Byte innovatorTypeId, String innovatorTypeName, Double defaultProportion, Double alphaMin, Double alphaMax) {
		this.innovatorTypeId = innovatorTypeId;
		this.innovatorTypeName = innovatorTypeName;
		this.defaultProportion = defaultProportion;
		this.alphaMin = alphaMin;
		this.alphaMax = alphaMax;
	}
	
	public Byte getInnovatorTypeId() {
		return this.innovatorTypeId;
	}
	
	public String getInnovatorTypeName() {
		return this.innovatorTypeName;
	}
	
	public Double getDefaultProportion() {
		return this.defaultProportion;
	}
	
	public Double getAlphaMin() {
		return this.alphaMin;
	}
	
	public Double getAlphaMax() {
		return this.alphaMax;
	}
	
	// TODO: Corregir para que esto se haga por unica vez al crear el farmer.
	public Double getAlpha() {
		if (this.alphaMin != this.alphaMax) {
			Randomizer randomizer = Manager.getInstance().getScenario().getRandomizer();
			return (this.alphaMax - this.alphaMin) * randomizer.getRandomDouble() + this.alphaMin;
		} else {
			return this.alphaMin;
		}
	}
	
	public boolean equals(Object o) {
		if (o instanceof InnovatorType) {
			InnovatorType other = (InnovatorType) o;
			return this.innovatorTypeId.equals(other.innovatorTypeId);
		}
		
		return false;
	}
	
	public String toString() {
		return this.innovatorTypeName;
	}
	
	public int hashCode() {
		return this.innovatorTypeId.hashCode();
	}
}