package fiuba.lamm.agromodel;

public class LaborType {
	protected Byte laborTypeId;
	protected String laborTypeName;
	protected String laborTypeGroup;
	protected Double utaEquivalent;
	protected Double utaPrice;
	
	public LaborType(Byte laborTypeId, String laborTypeName, String laborTypeGroup, Double utaEquivalent) {
		this.laborTypeId = laborTypeId;
		this.laborTypeName = laborTypeName;
		this.laborTypeGroup = laborTypeGroup;
		this.utaEquivalent = utaEquivalent;
	}
	
	public Byte getLaborTypeId() {
		return this.laborTypeId;
	}
	public String getLaborTypeName() {
		return this.laborTypeName;
	}
	public String getLaborTypeGroup() {
		return this.getLaborTypeGroup();
	}
	public Double getUtaEquivalent() {
		return this.utaEquivalent;
	}
	
	public void setUtaPrice(Double utaPrice) {
		this.utaPrice = utaPrice;
	}
	public Double getCostPerUnit() {
		if (this.utaPrice != null) {
			return (this.utaPrice * this.utaEquivalent);
		}
		
		return null;
	}
	
	public boolean equals(Object o) {
		if (o instanceof LaborType) {
			LaborType laborType = (LaborType) o;
			return this.laborTypeId.equals(laborType.getLaborTypeId());
		}
		
		return false;
	}
	
	public int hashCode() {
		return this.laborTypeId.hashCode();
	}
}