package fiuba.lamm.agromodel.agents;

import fiuba.lamm.agromodel.*;
import java.util.*;

public class Advisor extends Agent {
	protected Short advisorId;
	protected Region region;
	protected String advisorName;
	protected Double advisorFee;
	protected InnovatorType innovatorType;
	protected List<Farm> customers;
	protected List<ActivityManagement> unknownManagements;
	
	public Advisor(Short advisorId, Region region, String advisorName, Double advisorFee, InnovatorType innovatorType) {
		this.advisorId = advisorId;
		this.region = region;
		this.advisorName = advisorName;
		this.advisorFee = advisorFee;
		this.innovatorType = innovatorType;
		this.customers = new ArrayList<Farm>();
		this.unknownManagements = new ArrayList<ActivityManagement>();
	}
	
	public Short getAdvisorId() {
		return this.advisorId;
	}
	
	public Region getRegion() {
		return this.region;
	}
	
	public String getAdvisorName() {
		return this.advisorName;
	}
	
	public Double getAdvisorFee() {
		return this.advisorFee;
	}
	
	public InnovatorType getInnovatorType() {
		return this.innovatorType;
	}
	
	public List<Farm> getCustomers() {
		return this.customers;
	}
	public void addCustomer(Farm farm) {
		this.customers.add(farm);
	}
	public void removeCustomer(Farm farm) {
		this.customers.remove(farm);
	}
	
	public List<ActivityManagement> getUnknownManagements() {
		return this.unknownManagements;
	}
	public void setActivityManagements(List<ActivityManagement> unknownManagements) {
		this.unknownManagements = unknownManagements;
	}
	
	public int hashCode() {
		return this.advisorId.hashCode();
	}
	
	public boolean equals(Object o) {		
		if (o instanceof Advisor) {
			Advisor a = (Advisor) o;
			return a.advisorId.equals(this.advisorId);
		}
		
		return false;
	}	
}