package fiuba.lamm.agromodel.agents.factories;

import java.sql.*;
import java.util.*;
import fiuba.lamm.agromodel.*;
import fiuba.lamm.agromodel.agents.*;
import fiuba.lamm.agromodel.factories.*;

public class PlotFactory extends Factory {
	protected Map<Integer, List<Plot>> cache;
	
	protected PlotFactory() throws SQLException {
		super();
		this.cache = new TreeMap<Integer, List<Plot>>();
	}
	
	protected void setFarmPlots(Farm farm, List<Plot> plots) {
		for (Plot plot: plots) {
			farm.addPlot(plot);
		}
		this.cache.put(farm.getFarmId(), plots);
	}
	
	public List<Plot> findByFarm(Farm farm) {
		return this.cache.get(farm.getFarmId());
	}
	
	public List<Plot> findAll() {
		List<Plot> plots = new ArrayList<Plot>();
		List<List<Plot>> plotsByFarmId = new ArrayList<List<Plot>>(this.cache.values());
		for (List<Plot> p: plotsByFarmId) {
			plots.addAll(p);
		}
		
		return plots;
	}
}