package fiuba.lamm.agromodel.areaupdate;

import java.util.*;
import fiuba.lamm.agromodel.agents.*;

public class FarmSubSetFastCollectionGenerator extends	FarmSubSetCollectionGenerator {
	public FarmSubSetFastCollectionGenerator(Farmer farmer, List<Farm> farms) {
		super(farmer, farms);
	}
	
	// Generates collections of farms according to simple criterion discussed
	public List<FarmSubSetCollection> getCollectionsList() {
		int listSize = ((farms.size() * (farms.size() + 1)) / 2) - 1;
		List<FarmSubSetCollection> collection = new ArrayList<FarmSubSetCollection>(listSize);
		
		int windowSize = farms.size() - 1;
		while (windowSize > 0) {
			int startIndex = 0;
			while ((startIndex + windowSize) <= farms.size()) {
				List<Farm> subList = farms.subList(startIndex, startIndex + windowSize);
				collection.add(new FarmSubSetCollection(this.farmer, subList));
				
				startIndex++;
			}
			windowSize--;
		}
		
		// Sort the List
		Collections.sort(collection);
		
		return collection;
	}
}