package fiuba.lamm.agromodel.areaupdate;

import java.util.*;
import fiuba.lamm.agromodel.agents.*;

public class FarmSubSetFullCollectionGenerator extends	FarmSubSetCollectionGenerator {
	public FarmSubSetFullCollectionGenerator(Farmer farmer, List<Farm> farms) {
		super(farmer, farms);
	}
	
	// Generates collections of farms with every possible subset of farms excluding
	// the full set and empty set
	public List<FarmSubSetCollection> getCollectionsList() {
		Set<Farm> baseSet = new HashSet<Farm>(this.farms);
		Set<FarmSubSetCollection> resultSet = new HashSet<FarmSubSetCollection>();
		for (int i = 1; i < this.farms.size(); i++) {
			Iterator<Farm> elements = baseSet.iterator();
			if (i > 1) {
				// We have to make the cross product of every element of the baseSet
				// and every element of the resultSet and add it to the result set
				List<FarmSubSetCollection> resultSetElements = new ArrayList<FarmSubSetCollection>(resultSet);
				while (elements.hasNext()) {
					Farm farm = elements.next();
					for (int j = 0; j < resultSetElements.size(); j++) {
						// We are only interested in elements of size i - 1, otherwise we will be
						// creating elements already contained in the set
						FarmSubSetCollection aCollection = resultSetElements.get(j);
						if (aCollection.getFarms().size() == (i - 1)) {
							FarmSubSetCollection newCollection = new FarmSubSetCollection(this.farmer, aCollection.getFarms());
							if (newCollection.addFarm(farm)) resultSet.add(newCollection);							
						}
					}
				}
			} else {
				// FarmSubSetCollection of 1-element set
				while (elements.hasNext()) {
					Farm farm = elements.next();
					FarmSubSetCollection newCollection = new FarmSubSetCollection(this.farmer);
					newCollection.addFarm(farm);
					resultSet.add(newCollection);
				}
			}
		}
		
		FarmSubSetCollection result[] = resultSet.toArray(new FarmSubSetCollection[0]);
		Arrays.sort(result);
		return Arrays.asList(result);
	}		
}