package fiuba.lamm.agromodel.areaupdate;

import java.util.*;
import fiuba.lamm.agromodel.agents.*;

public abstract class LandMarketModel {
	public static final double LandMarketModelRelativeStartTime = 0.1;
	public static final double LandMarketModleRelativeEndTime = 0.3;	
	protected List<LandMarketComponent> components;
	
	public LandMarketModel() {
		this.components = new ArrayList<LandMarketComponent>();
	}
	
	public void scheduleExecution() {
		for (LandMarketComponent component: components) {
			component.scheduleNextAction();
		}
	}
	
	public abstract List<Farm> getSupplyList();
	public abstract List<Farmer> getActiveDemandList();
	public abstract List<Farmer> getInactiveDemandList();	
}