package fiuba.lamm.agromodel.decision;

import fiuba.lamm.agromodel.agents.*;
import fiuba.lamm.agromodel.utils.*;
import java.util.*;

public class RandomLandUseSelectionMechanism extends LandUseSelectionMechanism {
	public RandomLandUseSelectionMechanism() {
		this.landUseSelectionMechanismId = Type.RandomSelectionMechanism;
	}
	
	/**
	 * Hace una seleccion random. Los AMP a considerar son todos aquellos que devuelve getAMPFilteredList 
	 * EXCEPTO el AMP actual (si es que ese AMP esta incluido en la lista filtrada).
	 */
	public ActivityManagementProportion search(Farm farm, Map<LandUseSelectionRestriction, Object> restrictions) {
		this.finalLandUseSelectionMechanism = this;
		
		// 1. Generar lista de posibles AMPs
		ActivityManagementProportion currentAMP = farm.getCurrentActivityManagementProportion();
		List<ActivityManagementProportion> possibleAMPs = getAMPFilteredList(restrictions);
		possibleAMPs.remove(currentAMP);
		
		// 2. Pick a random AMP
		Randomizer randomizer = Manager.getInstance().getScenario().getRandomizer();
		int r = randomizer.getRandomInt(possibleAMPs.size());
		return possibleAMPs.get(r);
	}
}