package fiuba.lamm.agromodel.decision;

import java.util.*;
import fiuba.lamm.agromodel.*;
import fiuba.lamm.agromodel.Plot;
import fiuba.lamm.agromodel.agents.*;
import fiuba.lamm.agromodel.execution.*;

public class RandomPlotAssignmentMechanism extends PlotAssignmentMechanism {
	public void assignLandUseToPlots(Farm farm) {
		List<Plot> plots = farm.getPlots();
		ActivityManagementProportion previousAMP = new ActivityManagementProportion(plots);
		ActivityManagementProportion nextAMP     = farm.getNextAMP();
		ActivityManagementProportion tmpAMP      = new ActivityManagementProportion(nextAMP);

		int i = 0;		
		while (i < plots.size()) {
			/*
			 * Para realizar la asignacion se busca un AM aleatorio del AMP
			 */
			Plot plot = plots.get(i);
			ActivityManagement nextManagement = tmpAMP.pickActivityManagement();
			if (nextManagement == null) {
				throw new FulminantError("Error al asignar el AMP al campo. Lote " + i + "; AMP previo = " + previousAMP + "; AMP siguiente = " + nextAMP);
			}
					
			plot.setCurrentActivityManagement(nextManagement);
			i++;
		}
		
		// Run integrity checks
		runIntegrityChecks(farm);
	}
}