package fiuba.lamm.agromodel.decision;

import java.util.Map;

import fiuba.lamm.agromodel.agents.*;
import fiuba.lamm.agromodel.utils.*;

public class RandomSearchTriggeringMechanism extends SearchTriggeringMechanism {
	protected Double probabilityOfSearching;
	
	protected RandomSearchTriggeringMechanism(Double probabilityOfSearching) {
		this.probabilityOfSearching = probabilityOfSearching;
	}
	
	public boolean triggerSearch(Farm farm, Map<LandUseSelectionRestriction, Object> restrictions) {
		// 1. Check using if current AMP is still a candidate. If not, a search must be triggered.
		if (! isAMPStillValid(farm, restrictions)) {
			// Trigger search
			return true;
		}
		
		// 2. Trigger search based on a Bernoulli's event.
		Randomizer randomizer = Manager.getInstance().getScenario().getRandomizer();
		Double r = randomizer.getRandomDouble();
		return (r < this.probabilityOfSearching);
	}
}
