package fiuba.lamm.agromodel.diffusion;

import fiuba.lamm.agromodel.*;
import fiuba.lamm.agromodel.agents.*;
import fiuba.lamm.agromodel.execution.*;
import fiuba.lamm.agromodel.utils.*;

public class RandomInnovationDiffusionModel extends InnovationDiffusionModel {
	protected Double adoptionProbability;
		
	public RandomInnovationDiffusionModel(Double adoptionProbability) {
		this.adoptionProbability = adoptionProbability;
	}
	
	public boolean doesInnovate(Agent agent, ActivityManagement management) {
		Scenario scenario = Manager.getInstance().getScenario();
		Randomizer randomizer = scenario.getRandomizer();		
		
		/* 1. Decision making */
		return getRandomChoice(randomizer, this.adoptionProbability);
	}
}