package fiuba.lamm.agromodel.execution;

import org.tmatesoft.svn.core.*;
import org.tmatesoft.svn.core.auth.*;
import org.tmatesoft.svn.core.internal.io.dav.*;
import org.tmatesoft.svn.core.io.*;

public class AuthenticationHandler implements ExecutionHandler {
	protected String repositoryUrl;
	protected String userName;
	protected String password;
	
	public AuthenticationHandler(String repositoryUrl, String userName, String password) {
		this.repositoryUrl = repositoryUrl;
		this.userName = userName;
		this.password = password;
	}
	
	public void execute() throws ExecutionException {
		// Try to access repository
		try {
			DAVRepositoryFactory.setup();
			BasicAuthenticationManager authenticationManager = new BasicAuthenticationManager(userName, password);			
			SVNRepository repository = SVNRepositoryFactory.create(SVNURL.parseURIEncoded(repositoryUrl));
			repository.setAuthenticationManager(authenticationManager);
			repository.testConnection();
		} catch (SVNException svne) {
			throw new ExecutionException("Invalid user during authentication: " + svne);
		}
	}	
}
