package fiuba.lamm.agromodel.execution;

import java.io.*;
import java.util.*;

public enum RunInfo {
	Output,
	Errors;
	
	public static Map<RunInfo,String> getInstance(File outputFile, File errorFile) {
		Map<RunInfo,String> runInfo = new HashMap<RunInfo,String>();
		
		Map <RunInfo,File> files = new HashMap<RunInfo,File>();
		files.put(Output, outputFile);
		files.put(Errors, errorFile);
		Iterator<RunInfo> fileTypes = files.keySet().iterator();
		while (fileTypes.hasNext()) {
			RunInfo fileType = fileTypes.next();
			File file = files.get(fileType);
			
			if (file.isFile() && (file.length() > 0)) {			
				try {
					String content = RunInfo.getTextFileContent(file);
					runInfo.put(fileType, content);
				} catch (IOException ioe) {
					runInfo.put(RunInfo.Errors, "Error trying to read error file: " + ioe.getMessage());
				}
			}
		}
		
		return runInfo;
	}
	
	private static String getTextFileContent(File file) throws IOException {
		StringBuilder builder = new StringBuilder();
		BufferedReader reader = new BufferedReader(new FileReader(file));
		String line = reader.readLine();
		while (line != null) {
			builder.append(line + "\n");
			line = reader.readLine();
		}
		return builder.toString();
	}
}