package fiuba.lamm.agromodel.execution;

import java.io.*;
import org.tmatesoft.svn.core.*;
import org.tmatesoft.svn.core.auth.*;
import org.tmatesoft.svn.core.wc.*;

public class WorkingCopyUpdateHandler implements ExecutionHandler {
	protected String userName;
	protected String password;
	
	public WorkingCopyUpdateHandler(String userName, String password) {
		this.userName = userName;
		this.password = password;		
	}
	
	public void execute() throws ExecutionException {
		// 1. Find project root
		File projectRoot = new File(System.getenv("PROJECT_ROOT"));
				
		// 2. Update working copy
		BasicAuthenticationManager authenticationManager = new BasicAuthenticationManager(userName, password);
		SVNUpdateClient svnClient = new SVNUpdateClient(authenticationManager, null);
		try {
			svnClient.doUpdate(projectRoot, SVNRevision.HEAD, SVNDepth.INFINITY, true, true);
		} catch (SVNException svne) {
			throw new ExecutionException("Error updating working copy: " + svne);
		}	
	}
}
