package fiuba.lamm.agromodel.factories;

import java.sql.*;
import java.util.*;
import fiuba.lamm.agromodel.*;
import fiuba.lamm.agromodel.execution.*;

public class ActivityGroupFactory extends Factory {
	protected Map<Byte, ActivityGroup> cache;
	protected static ActivityGroupFactory uniqueFactory;
	public static ActivityGroupFactory getInstance() {
		if (uniqueFactory == null) {
			uniqueFactory = new ActivityGroupFactory();
		}
		
		return uniqueFactory;
	}
	
	protected ActivityGroupFactory() {
		super();
		
		this.cache = new TreeMap<Byte, ActivityGroup>();
		Connection connection = null;		
		try {
			connection = getConnection();
			
			PreparedStatement st = connection.prepareStatement("select activityGroupId, activityGroupName from activity_group order by activityGroupId");
			ResultSet rs = st.executeQuery();
			while (rs.next()) {
				cache.put(rs.getByte("activityGroupId"), new ActivityGroup(
						rs.getByte("activityGroupId"),
						rs.getString("activityGroupName")
					)
				);
			}
			rs.close();
			st.close();
		} catch (SQLException sqle) {
			throw new FulminantError("Error al buscar los activity groups: " + sqle);			
		} finally {
			if (connection != null) {
				try {
					connection.close();
				} catch (SQLException sqle) {
					throw new FulminantError("Error al buscar los activity groups: " + sqle);
				}
			}
		}
	}
	
	public ActivityGroup findByPrimaryKey(Byte activityGroupId) {
		return cache.get(activityGroupId);
	}
	
	public List<ActivityGroup> findAll() {
		return new ArrayList<ActivityGroup>(cache.values());
	}
}