package fiuba.lamm.agromodel.factories;

import java.sql.*;
import java.util.*;
import fiuba.lamm.agromodel.*;
import fiuba.lamm.agromodel.execution.*;

public class InputTypeFactory extends Factory {
	protected Map<Byte, InputType> cache;
	protected static InputTypeFactory uniqueFactory;
	public static InputTypeFactory getInstance() {
		if (uniqueFactory == null) {
			uniqueFactory = new InputTypeFactory();
		}
		
		return uniqueFactory;
	}
	
	protected InputTypeFactory() {
		super();
		
		this.cache = new TreeMap<Byte, InputType>();
		Connection connection = null;
		
		try {
			connection = getConnection();
			
			PreparedStatement st = connection.prepareStatement("select * from inputtype");
			ResultSet rs = st.executeQuery();
			while (rs.next()) {
				cache.put(rs.getByte("inputTypeId"), new InputType(rs.getByte("inputTypeId"), rs.getString("inputTypeName"), rs.getByte("inputTypeGroup"), rs.getString("inputTypeUnit")));
			}
			rs.close();
			st.close();
		} catch (SQLException sqle) {
			throw new FulminantError("Error finding activities inputs" + sqle);		
		} finally {
			if (connection != null) {
				try {
					connection.close();
				} catch (SQLException sqle) {
					throw new FulminantError("Error finding activities inputs" + sqle);
				}
			}
		}
	}
	
	public InputType findByPrimaryKey(Byte inputTypeId) {
		return cache.get(inputTypeId);
	}
	
	public List<InputType> findAll() {
		return new ArrayList<InputType>(cache.values());
	}
}