package fiuba.lamm.agromodel.factories;

import java.sql.*;
import java.util.*;
import fiuba.lamm.agromodel.*;
import fiuba.lamm.agromodel.execution.*;

public class LaborTypeFactory extends Factory {
	protected Map<Byte, LaborType> cache;
	protected static LaborTypeFactory uniqueFactory;
	public static LaborTypeFactory getInstance() {
		if (uniqueFactory == null) {
			uniqueFactory = new LaborTypeFactory();
		}
		
		return uniqueFactory;
	}
	
	protected LaborTypeFactory() {
		super();
		
		this.cache = new TreeMap<Byte, LaborType>();
		Connection connection = null;
		
		try {
			connection = getConnection();
			
			PreparedStatement st = connection.prepareStatement("select * from labortype");
			ResultSet rs = st.executeQuery();
			while (rs.next()) {
				cache.put(rs.getByte("laborTypeId"), new LaborType(rs.getByte("laborTypeId"), rs.getString("laborTypeName"), rs.getString("laborTypeGroup"), rs.getDouble("utaEquivalent")));
			}
			rs.close();
			st.close();
		} catch (SQLException sqle) {
			throw new FulminantError("Error finding activities labors" + sqle);		
		} finally {
			if (connection != null) {
				try {
					connection.close();
				} catch (SQLException sqle) {
					throw new FulminantError("Error finding activities labors" + sqle);
				}
			}
		}
	}
	
	public LaborType findByPrimaryKey(Byte laborTypeId) {
		return cache.get(laborTypeId);
	}
	
	public List<LaborType> findAll() {
		return new ArrayList<LaborType>(cache.values());
	}
}