package fiuba.lamm.agromodel.factories;

import java.sql.*;
import java.util.*;
import fiuba.lamm.agromodel.*;
import fiuba.lamm.agromodel.execution.*;

public class RegionFactory extends Factory {
	protected Map<Byte, Region> cache;
	protected static RegionFactory uniqueFactory;
	public static RegionFactory getInstance() {
		if (uniqueFactory == null) {
			uniqueFactory = new RegionFactory();
		}
		
		return uniqueFactory;
	}
	
	protected RegionFactory() {
		super();
		
		this.cache = new TreeMap<Byte, Region>();
		Connection connection = null;
		
		try {
			connection = getConnection();
			
			PreparedStatement st = connection.prepareStatement("select regionId, regionName, distanceToPort, totalNoEaps from region");
			ResultSet rs = st.executeQuery();
			while (rs.next()) {
				cache.put(rs.getByte(1), new Region(rs.getByte(1), rs.getString(2), rs.getDouble(3), rs.getDouble(4)));
			}
			rs.close();
			st.close();
		} catch (SQLException sqle) {
			throw new FulminantError("Error al buscar las regiones: " + sqle);			
		} finally {
			if (connection != null) {
				try {
					connection.close();
				} catch (SQLException sqle) {
					throw new FulminantError("Error al cerrar la conexion a la base de datos: " + sqle);
				}
			}
		}
	}
	
	public Region findByPrimaryKey(Byte regionId) {
		return cache.get(regionId);
	}
	
	public List<Region> findAll() {
		return new ArrayList<Region>(this.cache.values());
	}
}