package fiuba.lamm.agromodel.math;

public class ExponentialFunction extends Function {
	protected double a;
	protected double b;
	protected double c;
	
	public ExponentialFunction(double[] p1, double p2[], double hAsymptote) {
		this.c = hAsymptote;
		this.b = Math.log( 1.0 + ((p2[1] - p1[1]) / (p1[1] - hAsymptote)) ) / (p1[0] - p2[0]); 
		this.a = Math.exp(b * p1[0]) * (p1[1] - hAsymptote); 
	}
	
	/*
	 * Returns:
	 * 
	 * a * Exp(-bx) + c
	 * 
	 */
	public double apply(double x) {
		return (this.a * Math.exp(- this.b * x)	+ this.c);
	}
}
