package fiuba.lamm.agromodel.math;

public class LinearFunction extends Function {
	protected double x0;
	protected double y0;
	protected double m;
	
	public LinearFunction(double p1[], double p2[]) {
		this.x0 = p1[0];
		this.y0 = p1[1];
		this.m = (p2[1] - p1[1]) / (p2[0] - p1[0]); 
	}
	
	/*
	 * Returns:
	 * 
	 * y = m(x - x0) + y0
	 * 
	 */
	public double apply(double x) {
		return (this.m * (x - this.x0)	+ this.y0);
	}
}
