package fiuba.lamm.agromodel.math;

public class RationalFunction extends Function {
	protected double p[];
	protected double q[];
	
	public RationalFunction(double p[], double q[]) {
		this.p = p;
		this.q = q;
	}
	
	/**
	 * Returns:
	 * 
	 * N / D
	 * 
	 * Where 
	 * 
	 * N = p[0] + p[1]*x + p[2]*x^2 + p[3]*x^3 + .... + p[k]*x^k 
	 * D = q[0] + q[1]*x + q[2]*x^2 + q[3]*x^3 + .... + q[r]*x^r
	 * 
	 */
	public double apply(double x) {
		double n = 0.0;
		for (int i = 0; i < p.length; i++) {
			n += (p[i] == 0.0) ? 0.0 : (p[i] * Math.pow(x, i));
		}
		
		double d = 0.0;
		for (int i = 0; i < q.length; i++) {
			d += (q[i] == 0.0) ? 0.0 : (q[i] * Math.pow(x, i));
		}
		
		return (n / d);
	}
}
