package fiuba.lamm.agromodel.math;

public class SigmoidFunction extends Function {
	protected double a;
	protected double m;
	protected double n;
	protected double T;
	
	public SigmoidFunction(double a, double m, double n, double T) {
		this.a = a;
		this.m = m;
		this.n = n;
		this.T = T;
	}
	
	/*
	 * Returns:
	 *
	 * (a * p) / q
	 * 
	 * Where
	 * 
	 * p = 1 + m * Exp(-x/T)
	 * q = 1 + n * Exp(-x/T)
	 * 
	 */
	public double apply(double x) {
		double p = 1.0 + this.m * Math.exp(-x / this.T);
		double q = 1.0 + this.n * Math.exp(-x / this.T);
		
		return ((this.a * p) / q);
	}
}