package fiuba.lamm.agromodel.math.custom;

import fiuba.lamm.agromodel.math.*;

public class CPTWeightingFunction extends Function {
	protected Double gamma;
	
	public CPTWeightingFunction(Double gamma) {
		this.gamma = gamma;		
	}
			
	public double apply(double p) {
		// Puede ser que p sea mayor que 1 por errores de redondeo
		// Se corrige entonces el valor para que sea igual a 1 ya que esta funcion no admite valores mayores que 1
		if (p > 1.0) {
			p = 1.0;
		}
		
		Double pGamma = Math.pow(p, gamma);
		Double denom = Math.pow(pGamma + Math.pow(1.0 - p, gamma), 1.0/gamma);
		return (pGamma / denom);
	}	
}