package fiuba.lamm.agromodel.math.custom;

import fiuba.lamm.agromodel.math.*;

public class FarmerWithdrawalFunction extends Function {
	protected Function withdrawalFunction;
	
	public FarmerWithdrawalFunction(Double wm, Double wM, Double r) {
		Double d = 1.0;					
		Double b = wM;
		Double c = (Math.pow(wm, 2) - wM * wm + (1.0 - r) * Math.pow(wM, 2)) / (r * wM - wm);
		Double a = c * wm + Math.pow(wm, 2) - wM * wm;

		this.withdrawalFunction = new RationalFunction(
				new double[] { a, b },
				new double[] { c, d }
		);
	}
	
	public double apply(double x) {
		return withdrawalFunction.apply(x);
	}
}