package fiuba.lamm.agromodel.math.custom;

import fiuba.lamm.agromodel.math.Function;
import fiuba.lamm.agromodel.math.SigmoidFunction;

public class FixedCostScalingFunction extends Function {
	protected Function fcScalingFunction;
	
	public FixedCostScalingFunction() {
		double sigmoidA = 0.9;
		double sigmoidT = 150.0;
		double sigmoidN = Math.exp(5.0);
		double sigmoidM = sigmoidN / sigmoidA;
		this.fcScalingFunction = new SigmoidFunction(sigmoidA, sigmoidM, sigmoidN, sigmoidT);		
	}
	
	public double apply(double x) {
		return fcScalingFunction.apply(x);
	}

}
