package fiuba.lamm.agromodel.math.custom;

import fiuba.lamm.agromodel.math.*;

public class UtilityScalingFunction extends Function {
	protected Double a;
	protected Double b;
	protected Double m;
	
	public UtilityScalingFunction(Double a, Double b) {
		this.a = a;
		this.b = b;
		this.m = 1.0 / b;
	}
	
	public double apply(double x) {
		if (x < a) {
			return -1.0;
		} else if (x > b) {
			return 1.0;
		} else {
			return (m * x);
		}
	}
}