package fiuba.lamm.agromodel.output;

import java.text.*;

public enum Verbosity {
	Reduced			(1, 3),	  /* Minimum verbosity for ensemble analysis */
	Normal			(2, 3),      /* Normal verbosity for standard scenarios analysis */
	Verification	(3, null); 	  /* Extended verbosity for verification purpose */
	
	private Integer level;
	private Integer numberOfDecimals;
	
	private Verbosity(Integer level, Integer numberOfDecimals) {
		this.level = level;
		this.numberOfDecimals = numberOfDecimals;
	}
	
	public Integer getLevel() {
		return this.level;
	}
	
	public DecimalFormat getDecimalFormat() {
		DecimalFormat decimalFormat = null;
		if (this.numberOfDecimals != null) {
			String numberFormatPattern = "0.0";
			for (int i = 1; i < this.numberOfDecimals; i++) {
				numberFormatPattern += "#";
			}
			
			DecimalFormatSymbols dfs = new DecimalFormatSymbols();
			dfs.setDecimalSeparator('.');
			decimalFormat = new DecimalFormat(numberFormatPattern, dfs);
		}
		
		return decimalFormat;
	}
}
