package fiuba.lamm.agromodel.styles;

import fiuba.lamm.agromodel.agents.*;
import fiuba.lamm.agromodel.execution.*;
import fiuba.lamm.agromodel.utils.Randomizer;
import fiuba.lamm.agromodel.agents.factories.*;
import java.awt.*;
import java.sql.*;
import java.util.*;
import repast.simphony.visualization.gis3D.*;
import repast.simphony.visualization.gis3D.style.*;

public class FarmStyleGIS3D implements StyleGIS3D<Agent> {
	public static Map<Farm,Color> colors;
	
	public RenderableShape getShape(Agent agent) {
		return new PolygonShape();
	}

	public Material getMaterial(Agent agent, Material material) {
		Farm farm = (Farm) agent;
		if (material == null) {
			material = new Material();
		}
		
		if (colors == null) {
			colors = new HashMap<Farm,Color>();
			Scenario scenario = Manager.getInstance().getScenario();
			Randomizer randomizer = scenario.getRandomizer();
			try {
				java.util.List<Farm> farms = FarmFactory.getInstance(scenario).findAll();
				Set<Integer> used = new HashSet<Integer>();
				Integer maxValue = (int) Math.pow(2.0, 24.0);
				
				for (Farm f: farms) {
					Integer c = randomizer.getRandomInt(maxValue);
					if (! used.contains(c)) {
						used.add(c);
						colors.put(f, new Color(c));
					}
				}
			} catch (SQLException sqle) {
				throw new FulminantError("Error al obtener el mapa de colores para los campos: " + sqle);
			}	
		}
		
		Color color = colors.get(farm);
		MaterialFactory.setMaterialAppearance(material, color);
		return material;
	}

	public float[] getScale(Agent obj) {
		return null;
	}

	public boolean isScaled(Agent object) {
		return false;
	}
}