package fiuba.lamm.agromodel.tests;

import java.io.*;

public abstract class BaseTest {
	public File getTestWorkingDirectory() throws IOException {
		String workingDirectory = System.getProperty("fiuba.lamm.agromodel.workdir");
		if (workingDirectory != null) {
			File baseWorkingDirectory = new File(workingDirectory);
			if (baseWorkingDirectory.isDirectory()) {
				File testWorkingDirectory = null;
				StackTraceElement ste = Thread.currentThread().getStackTrace()[2];
				String className = ste.getClassName();
				String methodName = ste.getMethodName();
				String pathParts[] = { "input", "Tests", className.substring(className.lastIndexOf(".") + 1), methodName };
				for (String pathPart: pathParts) {
					File parent = (testWorkingDirectory != null) ? testWorkingDirectory : baseWorkingDirectory;
					testWorkingDirectory = new File(parent, pathPart);
					if (! testWorkingDirectory.isDirectory()) {
						throw new IOException("File " + testWorkingDirectory.getAbsolutePath() + " does not exists or is not a valid directory");
					}
				}
					
				return testWorkingDirectory;
			} else {
				throw new IOException("Working directory does not exists or it's not a directory");
			}
		} else {
			throw new IOException("Undefined working directory");
		}
	}
}
