package fiuba.lamm.agromodel.tests;

import fiuba.lamm.agromodel.math.custom.*;
import org.junit.*;
import static org.junit.Assert.*;

public class FarmerWithdrawalTest extends BaseTest {
	protected FarmerWithdrawalFunction farmerWithdrawalFunction;
	
	@Before
	public void setUp() throws Exception {
		this.farmerWithdrawalFunction = new FarmerWithdrawalFunction(18000.0, 150000.0, 0.56);
	}

	@After
	public void tearDown() throws Exception {
		this.farmerWithdrawalFunction = null;
	}

	@Test
	public void testMinimumWidrawalAsIncome() {
		assertEquals(18000.0, this.farmerWithdrawalFunction.apply(18000.0), 1E-6);		
	}

	@Test
	public void testMaximumWidrawalAsIncome() {
		assertEquals(84000.0, this.farmerWithdrawalFunction.apply(150000.0), 1E-6);		
	}

	@Test
	public void testNearInfiniteIncome() {
		assertEquals(150000.0, this.farmerWithdrawalFunction.apply(1E+18), 1E-6);	
	}
}