package fiuba.lamm.agromodel.tests;

import fiuba.lamm.agromodel.math.custom.*;
import org.junit.*;
import static org.junit.Assert.*;

public class MigrationProbabilityCalculationTest extends BaseTest {
	protected MigrationProbabilityFunction migrationProbabilityFunction;
	
	@Before
	public void setUp() throws Exception {
		this.migrationProbabilityFunction = new MigrationProbabilityFunction();	
	}

	@After
	public void tearDown() throws Exception {
		this.migrationProbabilityFunction = null;
	}

	@Test
	public void testXYTable() {
		double table[][] = {
			{ 0.0, 0.001003996 },
			{ 1000.0, 0.0032374098 },
			{ 2000.0, 0.0104119581 },
			{ 3000.0, 0.032984017 },
			{ 4000.0, 0.0995869279 },
			{ 5000.0, 0.2639801074 },
			{ 6000.0, 0.5376977122 },
			{ 7000.0, 0.7904342863 },
			{ 8000.0, 0.924422796 },
			{ 9000.0, 0.9754092109 },
			{ 10000.0, 0.9922858556	}		
		};
		
		// Chequeo progreso nulo
		for (double xy[]: table) {
			assertEquals(xy[1], this.migrationProbabilityFunction.apply(xy[0]), 1.0E-6);
		}
	}
}
