package fiuba.lamm.agromodel.utils;

import java.util.*;

/**
 * This type of set may contain duplicate elements
 * @author santiago
 */
public class NonUniqueSet<T> {
	protected List<T> list;
	
	public NonUniqueSet() {
		this.list = new ArrayList<T>();
	}
	
	public NonUniqueSet(Collection<T> collection) {
		this.list = new ArrayList<T>(collection);
	}
	
	public void add(T o) {
		this.list.add(o);
	}
	
	public void remove(T o) {
		this.list.remove(o);
	}
	
	public int size() {
		return this.list.size();
	}
	
	public boolean equals(Object o) {
		if (o instanceof NonUniqueSet<?>) {
			NonUniqueSet<?> aSet = (NonUniqueSet<?>) o;
			return (this.contains(aSet) && (this.size() == aSet.size()));
		}
		
		return false;
	}
	
	public boolean containsElement(Object o) {
		return this.list.contains(o);
	}
	
	public boolean contains(NonUniqueSet<?> s) {
		boolean c = true;
		int i = 0;
		while ((i < s.list.size()) && c) {
			Object o = s.list.get(i);
			c = this.containsElement(o);
			i++;
		}
		
		return c;
	}
	
	public Collection<T> collection() {
		return this.list;
	}
	
	public String toString() {
		return this.list.toString();
	}
}