package fiuba.lamm.agromodel.utils.compression;

import java.io.*;
import java.util.*;

public abstract class Compressor {
	public abstract void compress(List<File> inputFiles, File outputFile, boolean deleteInputFiles) throws IOException;
	
	public void compress(File baseDir, String[] fileNames, File outputFile, boolean deleteInputFiles) throws IOException {
		List<File> inputFiles = new ArrayList<File>();
		
		for (String fileName: fileNames) {
			File inputFile = new File(baseDir, fileName);
			inputFiles.add(inputFile);
		}
		
		compress(inputFiles, outputFile, deleteInputFiles);
	}
	
	protected void deleteInputFiles(List<File> inputFiles) {
		for (File inputFile: inputFiles) {
			inputFile.delete();
		}
	}
}