package fiuba.lamm.agromodel.utils.compression;

import java.io.*;
import java.util.*;

public class RarCompressor extends Compressor {
	@Override
	public void compress(List<File> inputFiles, File outputFile, boolean deleteInputFiles) throws IOException {
		List<String> command = new ArrayList<String>();				
		command.add("rar");
		command.add("u");
		command.add("-m5");
		command.add(outputFile.getAbsolutePath());
		for (File inputFile: inputFiles) {
			command.add(inputFile.getAbsolutePath());
		}
		
		ProcessBuilder pb = new ProcessBuilder(command);
		Process p = pb.start();
		try {
			if (p.waitFor() != 0) {
				BufferedReader reader = new BufferedReader(new InputStreamReader(p.getErrorStream()));
				String message = new String();
				String line = reader.readLine();
				while (line != null) {
					message += line + "\n";
				}
				reader.close();
				
				throw new IOException("Error creating RAR file: " + message);
			}		
		} catch (InterruptedException ie) {
			throw new IOException("RAR creation interrupted: " + ie);
		}
		
		if (deleteInputFiles) {
			deleteInputFiles(inputFiles);
		}
	}
}