package fiuba.lamm.agromodel.utils.compression;

import java.io.*;
import java.util.*;
import java.util.zip.*;

public class ZipCompressor extends Compressor {
	@Override
	public void compress(List<File> inputFiles, File outputFile, boolean deleteInputFiles) throws IOException {
		ZipOutputStream zipOutputStream = new ZipOutputStream(new FileOutputStream(outputFile));
		zipOutputStream.setLevel(Deflater.BEST_COMPRESSION);
		for (File inputFile: inputFiles) {		
			FileInputStream inputStream = new FileInputStream(inputFile);
            zipOutputStream.putNextEntry(new ZipEntry(inputFile.getName()));
    
            byte[] buf = new byte[1048576];
            int len;
            while ((len = inputStream.read(buf)) > 0) {
                zipOutputStream.write(buf, 0, len);
            }
            zipOutputStream.closeEntry();
            inputStream.close();
	    }
		zipOutputStream.close();
	
		if (deleteInputFiles) {
			deleteInputFiles(inputFiles);
		}
	}
}